aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Willmann <dwillmann@sysmocom.de>2019-06-19 11:38:13 +0200
committerDaniel Willmann <dwillmann@sysmocom.de>2019-06-19 11:58:17 +0200
commit298e6a74d8adca8b77a6fcabd2b6e63e8e3500ed (patch)
tree84b422ea0c4cc3e2d6860cf0fb0f57d8da58b4a4
parent1ae52d1a65d6bfd55fc072891a35c8e9b4882849 (diff)
manuals: Add script to regenerate vty/counter documentation
-rw-r--r--doc/manuals/Makefile.am1
-rwxr-xr-xdoc/manuals/regen_doc.sh17
2 files changed, 18 insertions, 0 deletions
diff --git a/doc/manuals/Makefile.am b/doc/manuals/Makefile.am
index 68c2d86..6707f07 100644
--- a/doc/manuals/Makefile.am
+++ b/doc/manuals/Makefile.am
@@ -1,6 +1,7 @@
EXTRA_DIST = osmostp-usermanual.adoc \
osmostp-usermanual-docinfo.xml \
osmostp-vty-reference.xml \
+ regen_doc.sh \
chapters \
vty
diff --git a/doc/manuals/regen_doc.sh b/doc/manuals/regen_doc.sh
new file mode 100755
index 0000000..6e7ce30
--- /dev/null
+++ b/doc/manuals/regen_doc.sh
@@ -0,0 +1,17 @@
+#!/bin/sh -x
+
+if [ -z "$DOCKER_PLAYGROUND" ]; then
+ echo "You need to set DOCKER_PLAYGROUND"
+ exit 1
+fi
+
+SCRIPT=$(realpath "$0")
+MANUAL_DIR=$(dirname "$SCRIPT")
+
+COMMIT=${COMMIT:-$(git log -1 --format=format:%H)}
+
+cd "$DOCKER_PLAYGROUND/scripts" || exit 1
+
+OSMO_STP_BRANCH=$COMMIT ./regen_doc.sh osmo-stp 4239 \
+ "$MANUAL_DIR/chapters/counters_generated.adoc" \
+ "$MANUAL_DIR/vty/osmo-stp_vty_reference.xml"